# Generated by Django 4.2.4 on 2023-10-10 07:36

import ceetutor.helper
from django.db import migrations, models
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Calendar',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('start_time', models.DateTimeField()),
                ('tutor_note', models.TextField(blank=True, null=True)),
                ('student_note', models.TextField(blank=True, null=True)),
                ('status', models.CharField(choices=[('Active', 'Active'), ('Booked', 'Booked'), ('Cancelled', 'Cancelled')], default='Active')),
                ('booked_time', models.DateTimeField(blank=True, default=None, null=True)),
                ('cancelled_time', models.DateTimeField(blank=True, default=None, null=True)),
            ],
            bases=(models.Model, ceetutor.helper.TimeSetup),
        ),
    ]
